/* RXODFLDR

   Return Contents of folder given object handle of folder object.

   Return string is string of hex values usable in calls to
   other external RXOD functions.

   Bruce Eric Hgman 1995-06-09
*/
if 0 < RxFuncQuery('SysLoadFuncs') then
   do
      call rxfuncadd 'sysloadfuncs','rexxutil','sysloadfuncs'
      call   sysloadfuncs
   end

parse arg folderhandle

if verify(folderhandle,'0123456789abcdefABCDEF') then
   folderhandle = c2x(reverse(folderhandle))
folderhandle = right(folderhandle,4)
folderhandle = strip(folderhandle,'l','0')

fldrdata = sysini('USER','PM_Abstract:FldrContent',folderhandle)

returndata = ''
do i = 1 to length(fldrdata) by 4
   returndata = returndata objhndl(substr(fldrdata,i,2))
end
return returndata

objhndl: procedure
   arg inhandle
   xstr = c2x(inhandle)
   xstr = right(xstr,2)||left(xstr,2)
   xstr = strip(xstr,'l','0')
   return xstr
