/* RXODOID
   Returns OBJECTID for WPAbstract object or for folder
   Input:  object handle
   Handle can be obtained from enumerating objects in folder using
   RXODFLDR
   Handle can be binary or hexadecimal

   Bruce Eric Hgman 407-443-5047
*/
if rxfuncquery('rxodobjpathfromid') then
   call rxfuncadd 'rxodobjpathfromid','rxod','rxodobjpathfromid'
arg objhandle
if verify(objhandle,'0123456789ABCDEFabcdef') then
   do
      objhandle = c2x(left(objhandle,2))
      objhandle = right(objhandle,2(||left(objhandle,2)
      objhandle = strip(objhandle,'l',0)
   end

objdata = sysini('USER','PM_Abstract:Objects',objhandle)
if abbrev(objdata,'ERROR') then
   do
      flddata = sysini('user','PM_Abstract:FldrContent',objhandle)
      if abbrev(flddata,'ERROR') then
         return ''
      call sysini 'USER','PM_Workplace:Location','All:','loc.'
      bLoop = 1
      objdata = ''
      objhandle = translate(objhandle)
      do i = 1 to loc.0
         fldhandle = sysini('USER','PM_Workplace:Location',loc.i)
         if abbrev(fldhandle,'ERROR') then iterate
         fldhandle = c2x(left(fldhandle,2))
         fldhandle = right(fldhandle,2)||left(fldhandle,2)
         fldhandle = strip(fldhandle,'l','0')
         if fldhandle = objhandle then
            do
               test_loc = rxodobjpathfromid(loc.i)
               if abbrev(test_loc,'ERROR') then iterate
               objdata = loc.i
               leave i
            end
      end
   end
   return objdata

